Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdf.model.hdftypes.definitions
Class TAPAbstractType

    java.lang.Object
      org.apache.poi.hdf.model.hdftypes.definitions.TAPAbstractType

All Implemented Interfaces:
  HDFType

Direct Known Subclasses:
  TableProperties

    public abstract class TAPAbstractType

extends java.lang.Object
implements HDFType

Table Properties. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  S. Ryan Ackley

Constructor Summary
`TAPAbstractType()`

Method Summary
`short[]` | `getBrcBottom()` Get the brcBottom field for the TAP record.
`short[]` | `getBrcHorizontal()` Get the brcHorizontal field for the TAP record.
`short[]` | `getBrcLeft()` Get the brcLeft field for the TAP record.
`short[]` | `getBrcRight()` Get the brcRight field for the TAP record.
`short[]` | `getBrcTop()` Get the brcTop field for the TAP record.
`short[]` | `getBrcVertical()` Get the brcVertical field for the TAP record.
`int` | `getDxaGapHalf()` Get the dxaGapHalf field for the TAP record.
`int` | `getDyaRowHeight()` Get the dyaRowHeight field for the TAP record.
`boolean` | `getFCantSplit()` Get the fCantSplit field for the TAP record.
`boolean` | `getFTableHeader()` Get the fTableHeader field for the TAP record.
`short` | `getItcMac()` Get the itcMac field for the TAP record.
`int` | `getJc()` Get the jc field for the TAP record.
`short[]` | `getRgdxaCenter()` Get the rgdxaCenter field for the TAP record.
`byte[]` | `getRgshd()` Get the rgshd field for the TAP record.
`TCAbstractType[]` | `getRgtc()` Get the rgtc field for the TAP record.
`int` | `getSize()` Size of record (exluding 4 byte header)
`int` | `getTlp()` Get the tlp field for the TAP record.
`void` | `setBrcBottom(short[] field_11_brcBottom)` Set the brcBottom field for the TAP record.
`void` | `setBrcHorizontal(short[] field_16_brcHorizontal)` Set the brcHorizontal field for the TAP record.
`void` | `setBrcLeft(short[] field_13_brcLeft)` Set the brcLeft field for the TAP record.
`void` | `setBrcRight(short[] field_14_brcRight)` Set the brcRight field for the TAP record.
`void` | `setBrcTop(short[] field_12_brcTop)` Set the brcTop field for the TAP record.
`void` | `setBrcVertical(short[] field_15_brcVertical)` Set the brcVertical field for the TAP record.
`void` | `setDxaGapHalf(int field_2_dxaGapHalf)` Set the dxaGapHalf field for the TAP record.
`void` | `setDyaRowHeight(int field_3_dyaRowHeight)` Set the dyaRowHeight field for the TAP record.
`void` | `setFCantSplit(boolean field_4_fCantSplit)` Set the fCantSplit field for the TAP record.
`void` | `setFTableHeader(boolean field_5_fTableHeader)` Set the fTableHeader field for the TAP record.
`void` | `setItcMac(short field_7_itcMac)` Set the itcMac field for the TAP record.
`void` | `setJc(int field_1_jc)` Set the jc field for the TAP record.
`void` | `setRgdxaCenter(short[] field_8_rgdxaCenter)` Set the rgdxaCenter field for the TAP record.
`void` | `setRgshd(byte[] field_10_rgshd)` Set the rgshd field for the TAP record.
`void` | `setRgtc(TCAbstractType[] field_9_rgtc)` Set the rgtc field for the TAP record.
`void` | `setTlp(int field_6_tlp)` Set the tlp field for the TAP record.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TAPAbstractType

    public TAPAbstractType()

Method Detail

### getSize

    public int getSize()

  Size of record (exluding 4 byte header)

### getJc

    public int getJc()

  Get the jc field for the TAP record.

### setJc

    public void setJc(int field_1_jc)

  Set the jc field for the TAP record.

### getDxaGapHalf

    public int getDxaGapHalf()

  Get the dxaGapHalf field for the TAP record.

### setDxaGapHalf

    public void setDxaGapHalf(int field_2_dxaGapHalf)

  Set the dxaGapHalf field for the TAP record.

### getDyaRowHeight

    public int getDyaRowHeight()

  Get the dyaRowHeight field for the TAP record.

### setDyaRowHeight

    public void setDyaRowHeight(int field_3_dyaRowHeight)

  Set the dyaRowHeight field for the TAP record.

### getFCantSplit

    public boolean getFCantSplit()

  Get the fCantSplit field for the TAP record.

### setFCantSplit

    public void setFCantSplit(boolean field_4_fCantSplit)

  Set the fCantSplit field for the TAP record.

### getFTableHeader

    public boolean getFTableHeader()

  Get the fTableHeader field for the TAP record.

### setFTableHeader

    public void setFTableHeader(boolean field_5_fTableHeader)

  Set the fTableHeader field for the TAP record.

### getTlp

    public int getTlp()

  Get the tlp field for the TAP record.

### setTlp

    public void setTlp(int field_6_tlp)

  Set the tlp field for the TAP record.

### getItcMac

    public short getItcMac()

  Get the itcMac field for the TAP record.

### setItcMac

    public void setItcMac(short field_7_itcMac)

  Set the itcMac field for the TAP record.

### getRgdxaCenter

    public short[] getRgdxaCenter()

  Get the rgdxaCenter field for the TAP record.

### setRgdxaCenter

    public void setRgdxaCenter(short[] field_8_rgdxaCenter)

  Set the rgdxaCenter field for the TAP record.

### getRgtc

    public TCAbstractType[] getRgtc()

  Get the rgtc field for the TAP record.

### setRgtc

    public void setRgtc(TCAbstractType[] field_9_rgtc)

  Set the rgtc field for the TAP record.

### getRgshd

    public byte[] getRgshd()

  Get the rgshd field for the TAP record.

### setRgshd

    public void setRgshd(byte[] field_10_rgshd)

  Set the rgshd field for the TAP record.

### getBrcBottom

    public short[] getBrcBottom()

  Get the brcBottom field for the TAP record.

### setBrcBottom

    public void setBrcBottom(short[] field_11_brcBottom)

  Set the brcBottom field for the TAP record.

### getBrcTop

    public short[] getBrcTop()

  Get the brcTop field for the TAP record.

### setBrcTop

    public void setBrcTop(short[] field_12_brcTop)

  Set the brcTop field for the TAP record.

### getBrcLeft

    public short[] getBrcLeft()

  Get the brcLeft field for the TAP record.

### setBrcLeft

    public void setBrcLeft(short[] field_13_brcLeft)

  Set the brcLeft field for the TAP record.

### getBrcRight

    public short[] getBrcRight()

  Get the brcRight field for the TAP record.

### setBrcRight

    public void setBrcRight(short[] field_14_brcRight)

  Set the brcRight field for the TAP record.

### getBrcVertical

    public short[] getBrcVertical()

  Get the brcVertical field for the TAP record.

### setBrcVertical

    public void setBrcVertical(short[] field_15_brcVertical)

  Set the brcVertical field for the TAP record.

### getBrcHorizontal

    public short[] getBrcHorizontal()

  Get the brcHorizontal field for the TAP record.

### setBrcHorizontal

    public void setBrcHorizontal(short[] field_16_brcHorizontal)

  Set the brcHorizontal field for the TAP record.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD